Subject: bug#21640: 25.0.50; Fontset-font is never scaled

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Oct 2015 22:20:33 +0300

> Date: Wed, 7 Oct 2015 20:14:43 +0100
> From: Artur Malabarba <[email-masked]>
> Cc: [email-masked]
> 
> > Is the configuration the same, including the font back-ends?
> 
> The init files are the same (and I see this problem from emacs -Q
> too), but there are many differences in system configuration outside
> Emacs (most of which I probably don't know).
> 
> I haven't configured font-backends. If I query for it in
> frame-parameters I get `(font-backend xft x)'.
> Swapping their order or removing the `x' makes no difference. Removing
> the `xft' segfaults Emacs.
> 
> > In general, I think you are getting undefined behavior: you specify a
> > fixed size of 40 pixels, but expect it to be a kind of "relative"
> > size?  Is that documented somewhere?
> 
> No, I expect to be bigger than my regular font, which is much less
> than 40 pixels. I can change it to any other number with no effect.
> I tried using a float too, which should represent a size in points
> according to the docstring, but there's still no difference.

Could it be that the version of Symbola is different between the two
systems, and one of them cannot be scaled like you want?